Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.biome
Class BiomeGenTaiga

    java.lang.Object
      net.minecraft.world.biome.BiomeGenBase
          net.minecraft.world.biome.BiomeGenTaiga

    public class BiomeGenTaiga

extends BiomeGenBase

Field Summary

Fields inherited from class net.minecraft.world.biome.BiomeGenBase
`beach, biomeID, biomeList, biomeName, color, desert, desertHills, extremeHills, extremeHillsEdge, field_76754_C, fillerBlock, forest, forestHills, frozenOcean, frozenRiver, hell, iceMountains, icePlains, jungle, jungleHills, maxHeight, minHeight, mushroomIsland, mushroomIslandShore, ocean, plains, rainfall, river, sky, swampland, taiga, taigaHills, temperature, theBiomeDecorator, topBlock, waterColorMultiplier`

Constructor Summary
`BiomeGenTaiga(int par1)`

Method Summary
`WorldGenerator` | `getRandomWorldGenForTrees(Random par1Random)` Gets a WorldGen appropriate for this biome.

Methods inherited from class net.minecraft.world.biome.BiomeGenBase
`canSpawnLightningBolt, createBiomeDecorator, decorate, func_76733_a, getBiomeFoliageColor, getBiomeGrassColor, getEnableSnow, getFloatRainfall, getFloatTemperature, getIntRainfall, getIntTemperature, getModdedBiomeDecorator, getModdedBiomeFoliageColor, getModdedBiomeGrassColor, getRandomWorldGenForGrass, getSkyColorByTemp, getSpawnableList, getSpawningChance, getWaterColorMultiplier, isHighHumidity, setBiomeName, setColor, setDisableRain, setEnableSnow, setMinMaxHeight, setTemperatureRainfall`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiomeGenTaiga

    public BiomeGenTaiga(int par1)

Method Detail

### getRandomWorldGenForTrees

    public WorldGenerator getRandomWorldGenForTrees(Random par1Random)

  Gets a WorldGen appropriate for this biome.

  Overrides:
    `getRandomWorldGenForTrees` in class `BiomeGenBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD